A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::module::ScaleBias Class Reference
[Modifier Modules]

`#include <scalebias.h>`

Inheritance diagram for noise::module::ScaleBias:

List of all members.

## Detailed Description

Noise module that applies a scaling factor and a bias to the output value from a source module.

The GetValue() method retrieves the output value from the source module, multiplies it with a scaling factor, adds a bias to it, then outputs the value.

This noise module requires one source module.

## Public Member Functions

| ScaleBias ()
| Constructor.
double | GetBias () const
| Returns the bias to apply to the scaled output value from the source module.
double | GetScale () const
| Returns the scaling factor to apply to the output value from the source module.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.
void | SetBias (double bias)
| Sets the bias to apply to the scaled output value from the source module.
void | SetScale (double scale)
| Sets the scaling factor to apply to the output value from the source module.

## Protected Attributes

double | m_bias
| Bias to apply to the scaled output value from the source module.
double | m_scale
| Scaling factor to apply to the output value from the source module.

## Constructor & Destructor Documentation

ScaleBias::ScaleBias | ( |  | ) |

| Constructor. The default bias is set to noise::module::DEFAULT_BIAS. The default scaling factor is set to noise::module::DEFAULT_SCALE.

## Member Function Documentation

double noise::module::ScaleBias::GetBias | ( |  | ) | const`[inline]`

Returns the bias to apply to the scaled output value from the source module.

Returns:
  The bias to apply.

The GetValue() method retrieves the output value from the source module, multiplies it with the scaling factor, adds the bias to it, then outputs the value.

double noise::module::ScaleBias::GetScale | ( |  | ) | const`[inline]`

Returns the scaling factor to apply to the output value from the source module.

Returns:
  The scaling factor to apply.

The GetValue() method retrieves the output value from the source module, multiplies it with the scaling factor, adds the bias to it, then outputs the value.

virtual int noise::module::ScaleBias::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements noise::module::Module.

double ScaleBias::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) | const`[virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  | x | The x coordinate of the input value.
  | y | The y coordinate of the input value.
  | z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements noise::module::Module.

void noise::module::ScaleBias::SetBias | ( | double | bias | ) | `[inline]`

Sets the bias to apply to the scaled output value from the source module.

Parameters:

  | bias | The bias to apply.

The GetValue() method retrieves the output value from the source module, multiplies it with the scaling factor, adds the bias to it, then outputs the value.

void noise::module::ScaleBias::SetScale | ( | double | scale | ) | `[inline]`

Sets the scaling factor to apply to the output value from the source module.

Parameters:

  | scale | The scaling factor to apply.

The GetValue() method retrieves the output value from the source module, multiplies it with the scaling factor, adds the bias to it, then outputs the value.

The documentation for this class was generated from the following files:

- scalebias.h
- scalebias.cpp